


JPEGTRAN(1)                                           JPEGTRAN(1)


[1mNAME[0m
       jpegtran - lossless transcoding of JPEG files

[1mSYNOPSIS[0m
       [1mjpegtran[0m [ [4moptions[0m ] [ [4mfilename[0m ]


[1mDESCRIPTION[0m
       [1mjpegtran[0m translates JPEG files from one variant of JPEG to
       another, for example from  baseline  JPEG  to  progressive
       JPEG.   The  transformation is lossless: no image degrada
       tion occurs, which would not be true  if  you  used  [1mdjpeg[0m
       followed  by  [1mcjpeg[0m.   However, you cannot alter the image
       quality, because that would not be a  lossless  operation.
       [1mjpegtran[0m  reads  the named JPEG/JFIF file, or the standard
       input if no file is named, and produces a  JPEG/JFIF  file
       on the standard output.

[1mOPTIONS[0m
       [1mjpegtran[0m  accepts  a  subset of the switches recognized by
       [1mcjpeg[0m.  If you specify no switches, you get a plain  base
       line JPEG output file.

       All  switch  names may be abbreviated; for example, [1m-opti[0m
       [1mmize[0m may be written [1m-opt[0m or [1m-o[0m.  Upper and lower case  are
       equivalent.   British  spellings  are also accepted (e.g.,
       [1m-optimise[0m), though for brevity  these  are  not  mentioned
       below.

       The basic switches are:

       [1m-optimize[0m
              Perform  optimization  of  entropy encoding parame
              ters.  Without this,  default  encoding  parameters
              are  used.  [1m-optimize[0m usually makes the JPEG file a
              little smaller, but at the price of slower compres
              sion.  Note that [1m-progressive[0m implies [1m-optimize[0m.

       [1m-progressive[0m
              Create progressive JPEG file (see below).

       The [1m-progressive[0m switch creates a "progressive JPEG" file.
       In this type of JPEG file, the data is stored in  multiple
       scans  of increasing quality.  If the file is being trans
       mitted over a slow communications link,  the  decoder  can
       use  the  first  scan  to display a low-quality image very
       quickly, and can then improve the display with each subse
       quent  scan.   The  final image is exactly equivalent to a
       standard JPEG file of the same quality  setting,  and  the
       total  file  size  is  about  the  same --- often a little
       smaller.  [1mCaution:[0m progressive  JPEG  is  not  yet  widely
       implemented,  so  many  decoders  will be unable to view a
       progressive JPEG file at all.




                           15 June 1995                         1





JPEGTRAN(1)                                           JPEGTRAN(1)


       Switches for advanced users:

       [1m-restart[0m [4mN[0m
              Emit a JPEG restart marker every  N  MCU  rows,  or
              every  N  MCU blocks if "B" is attached to the num
              ber.  [1m-restart[0m [1m0[0m (the  default)  means  no  restart
              markers.

       [1m-maxmemory[0m [4mN[0m
              Set limit for amount of memory to use in processing
              large images.  Value is in thousands of  bytes,  or
              millions of bytes if "M" is attached to the number.
              For example, [1m-max[0m [1m4m[0m  selects  4000000  bytes.   If
              more space is needed, temporary files will be used.

       [1m-outfile[0m [4mname[0m
              Send output image to the named file, not  to  stan
              dard output.

       [1m-verbose[0m
              Enable debug printout.  More [1m-v[0m's give more output.
              Also, version information is printed at startup.

       [1m-debug[0m Same as [1m-verbose[0m.

       The [1m-restart[0m option inserts extra  markers  that  allow  a
       JPEG  decoder to resynchronize after a transmission error.
       Without restart markers, any damage to a  compressed  file
       will usually ruin the image from the point of the error to
       the end of the image; with restart markers, the damage  is
       usually  confined  to  the  portion of the image up to the
       next restart  marker.   Of  course,  the  restart  markers
       occupy  extra  space.   We recommend [1m-restart[0m [1m1[0m for images
       that will be transmitted across unreliable  networks  such
       as Usenet.

       Switches for wizards:

       [1m-scans[0m [4mfile[0m
              Use  the  scan  script  given in the specified text
              file.

       The "wizard" switches  are  intended  for  experimentation
       with  JPEG.   If  you don't know what you are doing, [1mdon't[0m
       [1muse[0m [1mthem[0m.  These switches are documented  further  in  the
       file wizard.doc.

[1mEXAMPLES[0m
       This  example converts a baseline JPEG file to progressive
       form:

              [1mjpegtran[0m [1m-progressive[0m [4mfoo.jpg[0m [1m>[0m [4mfooprog.jpg[0m





                           15 June 1995                         2





JPEGTRAN(1)                                           JPEGTRAN(1)


[1mENVIRONMENT[0m
       [1mJPEGMEM[0m
              If this environment variable is set, its  value  is
              the  default  memory limit.  The value is specified
              as described for the  [1m-maxmemory[0m  switch.   [1mJPEGMEM[0m
              overrides the default value specified when the pro
              gram was compiled, and itself is overridden  by  an
              explicit [1m-maxmemory[0m.

[1mSEE[0m [1mALSO[0m
       [1mcjpeg[0m(1), [1mdjpeg[0m(1), [1mrdjpgcom[0m(1), [1mwrjpgcom[0m(1)
       Wallace,  Gregory  K.  "The JPEG Still Picture Compression
       Standard", Communications of the ACM, April 1991 (vol. 34,
       no. 4), pp. 30-44.

[1mAUTHOR[0m
       Independent JPEG Group

[1mBUGS[0m
       Arithmetic coding is not supported for legal reasons.

       Still not as fast as we'd like.



































                           15 June 1995                         3


